<?php
/*
 * 2011-09-30
 * Funkcja drawSlider() - rysująca slider zdjęć w artykule
 */
namespace article;

class VArticle
{
  public function drawSlider( $article_id , $images ) {
    $tpl = new \Savant3;
    $tpl -> _article_id = $article_id;
    $tpl -> _images     = $images;
    return $tpl -> fetch( 'templates/article-slider.php' );
  }

  public function draw( $id )
  {
    $article              = \article\FArticle::loadArticle( $id );

    $tpl                  = new \Savant3;
    $tpl -> _article      = $article;
    $tpl -> _id           = $article -> get_id();
    $tpl -> _print        = $article -> get_print_enabled();
    $tpl -> _show_title   = $article -> get_show_title();
    $tpl -> _title        = $article -> get_title();
    $tpl -> _show_date    = $article -> get_show_date();
    $tpl -> _date_add     = $article -> get_date_add();
    $tpl -> _date_modify  = $article -> get_date_modify();
    $tpl -> _text         = $article -> getModifyText();
    $tpl -> _show_author  = $article -> get_show_author();
    $tpl -> _author       = $article -> get_author();
    $tpl -> _seo_link     = $article -> get_seo_link();
    $tpl -> _images       = $article -> get_images();
    $tpl -> _files        = $article -> get_files();
    return $tpl -> fetch( 'templates/article-draw.php' );
  }

  public function drawGallery( $id , $images ) {
    $tpl = new \Savant3;
    $tpl -> _id     = $id;
    $tpl -> _images = $images;
    return $tpl -> fetch( 'templates/article-gallery.php' );
  }
}
?>
